Name:			stella
Version:		3.0
%define distsuffix	plf
Release:		%mkrel 1

%define enable_gl	1
%define enable_sound	1
%define enable_debugger	1
%define enable_snapshot	1
%define enable_joystick	1
%define enable_cheats	1
%define enable_static	0

Summary:	An Atari 2600 Video Computer System emulator
License:	GPLv2+
Group:		Emulators
URL:		http://stella.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz

BuildRequires:	SDL-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	zlib-devel
%if %enable_snapshot
BuildRequires:	libpng-devel
%endif
BuildRequires:	desktop-file-utils
#ctags
BuildRequires:	xemacs-extras
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  This emulator will run
most Atari ROM images, so that you can play your favorite old Atari 2600 games
on your PC.

This package is in PLF as Mandriva Linux policy forbids emulators in contribs.


%prep
%setup -q
perl -pi -e "s|.png||" src/unix/stella.desktop

%build
touch configure.in
%configure \
%if %enable_gl
  --enable-gl \
%else
  --disable-gl \
%endif
%if %enable_sound
  --enable-sound \
%else
  --disable-sound \
%endif
%if %enable_debugger
  --enable-debugger \
%else
  --disable-debugger \
%endif
%if %enable_snapshot
  --enable-snapshot \
%else
  --disable-snapshot \
%endif
%if %enable_joystick
  --enable-joystick \
%else
  --disable-joystick \
%endif
%if %enable_cheats
  --enable-cheats \
%else
  --disable-cheats \
%endif
%if %enable_static
  --enable-static \
%else
  --enable-shared \
%endif
  --docdir=%{_docdir}/stella \
  --x-libraries=%{_prefix}/X11R6/%{_lib}

%make

%install
rm -rf %{buildroot}

make install-strip DESTDIR=%{buildroot}
# Mandriva menu entries
install -d -m0755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): command="stella" \
icon="stella.png" \
needs="x11" \
title="Stella" \
longtitle="A multi-platform Atari 2600 emulator" \
section="More Applications/Emulators" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Game" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus

%postun
%clean_menus
%endif

%files
%defattr(-,root,root,-)
%{_docdir}/stella/*
%{_bindir}/*
%{_menudir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/%{name}.png
%{_datadir}/icons/large/%{name}.png

%changelog
* Tue Sep 15 2009 Guillaume Bedot <littletux@zarb.org> 3.0-1plf2010.0
- 3.0

* Fri Sep  4 2009 Guillaume Bedot <littletux@zarb.org> 2.8.4-1plf2010.0
- 2.8.4

* Sun Jun 21 2009 Guillaume Bedot <littletux@zarb.org> 2.8.1-1plf2010.0
- 2.8.1

* Fri Jun 12 2009 Guillaume Bedot <littletux@zarb.org> 2.8-1plf2010.0
- 2.8

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 2.7.7-2plf2010.0
- build fixes

* Wed May 13 2009 Guillaume Bedot <littletux@zarb.org> 2.7.7-1plf2009.1
- 2.7.7

* Sat Apr 18 2009 Guillaume Bedot <littletux@zarb.org> 2.7.6-1plf2009.1
- 2.7.6

* Sat Feb 21 2009 Guillaume Bedot <littletux@zarb.org> 2.7.3a-1plf2009.1
- 2.7.3a

* Tue Jan 27 2009 Guillaume Bedot <littletux@zarb.org> 2.7.2-1plf2009.1
- 2.7.2

* Mon Jan 26 2009 Guillaume Bedot <littletux@zarb.org> 2.7.1-1plf2009.1
- 2.7.1

* Wed Jan 21 2009 Guillaume Bedot <littletux@zarb.org> 2.7-1plf2009.1
- 2.7, dropped patch (upstream fixed)

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 2.6.1-1plf2009.0
- 2.6.1
- Fix build with g++ 4.3.1

* Fri Apr 18 2008 Guillaume Bedot <littletux@zarb.org> 2.5.1-1plf2009.0
- 2.5.1

* Wed Nov 28 2007 Guillaume Bedot <littletux@zarb.org> 2.4.2-1plf2008.1
- 2.4.2 (more or less synced with stephen's version)

* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 2.3.5-1plf2008.0
- New release provided by Zombie Ryushu

* Fri Sep 08 2006 Stephen Anthony <stephena@zarb.org> 2.2-1plf2007.0
- Packaged 2.2 release for PLF
- Added XDG menu

* Sat Oct 29 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-3plf
- Fix for x86_64 compilation

* Wed Oct 26 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-2plf
- Fix for improper PLF upload

* Sun Oct 24 2005 Stephen Anthony <stephena@zarb.org> 2.0.1-1
- Version 2.0.1 release, and plaform-agnostic SRPM (hopefully)

* Sun Oct  9 2005 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-3plf
- BuildRequires
- distsuffix & mkrel

* Sun Jul 31 2005 Stephen Anthony <stephena@zarb.org> 1.4.2-2plf
- Recompile for distro name change

* Sat Feb 19 2005 Stephen Anthony <stephena@zarb.org> 1.4.2-1plf
- 1.4.2
- First release of Stella 1.4.2 for PLF

* Sat Apr 24 2004 Stefan van der Eijk <stefan@eijk.nu> 1.3-1plf
- 1.3
- remove stella sound, seems to be included?

* Sun Nov 10 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2-3plf
- BuildRequires

* Thu Oct 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-2plf 
- by Rob Kudla <rpm@kudla.org>
- doh!  forgot to build the sound server!

* Wed Oct 22 2002 Rob Kudla <rpm@kudla.org> 1.2-1plf
- oh yeah, I guess emulators go in plf

* Tue Oct 22 2002 Rob Kudla <rpm@kudla.org> 1.2-1mdk
- first attempt at package
